@echo off
cls
echo This file will upgrade your Postgres Plus installation.
echo.
echo You must have Postgres Plus 8.3.x installed from the official
echo MSI installation to use this upgrade path.
echo.
echo If the PostgreSQL server or any client applications are running,
echo a reboot will be required once the upgrade is completed.
echo.
echo.
echo Press Ctrl-C to abort the upgrade or
pause

REM Parameters described:
REM  /i postgresql-plus-8.3-int.msi
REM                            - pick MSI file to install. All properties
REM                              will be read from existing installation.
REM  REINSTALLMODE=vamus       - reinstall all files, regardless of version.
REM                              This makes sure documentation and other
REM                              non-versioned files are updated.
REM  REINSTALL=ALL             - Reinstall all features that were previously
REM                              installed with the new version.

echo Upgrading Microsoft VC++ 2005 runtime libraries...
vcredist_x86.exe /q:a /c:"msiexec /i vcredist.msi /qb!"

echo Upgrading Postgres Plus...
msiexec /i postgres-plus-8.3-int.msi REINSTALLMODE=vamus REINSTALL=ALL /qr
